Debian Bug report logs - #570348
gmrun: wrong build-deps on ia64

version graph

Package: gmrun; Maintainer for gmrun is Alexandre De Dommelin <adedommelin@tuxz.net>; Source for gmrun is src:gmrun.

Reported by: Andreas Barth <aba@not.so.argh.org>

Date: Thu, 18 Feb 2010 09:12:01 UTC

Severity: serious

Tags: patch

Found in version gmrun/0.9.2-2

Fixed in version gmrun/0.9.2-2.1

Done: Christoph Egger <christoph@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Alexandre De Dommelin <adedommelin@tuxz.net>:
Bug#570348; Package gmrun. (Thu, 18 Feb 2010 09:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
New Bug report received and forwarded. Copy sent to Alexandre De Dommelin <adedommelin@tuxz.net>. (Thu, 18 Feb 2010 09:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: submit@bugs.debian.org
Subject: gmrun: wrong build-deps on ia64
Date: Thu, 18 Feb 2010 10:08:17 +0100
Package: gmrun
Version: 0.9.2-2
Architecture: ia64
Severity: serious

Hi,

this package FTBFS because:

Build-Depends: debhelper (>= 7), libgtk2.0-dev, libpopt-dev, libc6-dev (>= 2.10.2-2)

but libc6-dev is only provided on ia64 (as well as on other arches).


Cheers,
Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Alexandre De Dommelin <adedommelin@tuxz.net>:
Bug#570348; Package gmrun. (Sun, 07 Mar 2010 15:57:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rafael Cunha de Almeida <rafael@kontesti.me>:
Extra info received and forwarded to list. Copy sent to Alexandre De Dommelin <adedommelin@tuxz.net>. (Sun, 07 Mar 2010 15:57:22 GMT) Full text and rfc822 format available.

Message #10 received at 570348@bugs.debian.org (full text, mbox):

From: Rafael Cunha de Almeida <rafael@kontesti.me>
To: 570348@bugs.debian.org
Subject: Re: gmrun: wrong build-deps on ia64
Date: Sun, 07 Mar 2010 12:46:21 -0300
[Message part 1 (text/plain, inline)]
gmrun makes it's own version of alphasort. However, as far as I can
tell, it's unecessary as it doesn't add anything new. By using the
alphasort provided by dirent.h I hope to avoid any sort of glibc
compatibility problems. I'm attaching the patch to this email.

[fixed-alphasort.patch (text/x-patch, inline)]
diff -Nudar gmrun-0.9.2.orig/debian/control gmrun-0.9.2/debian/control
--- gmrun-0.9.2.orig/debian/control	2010-02-16 22:44:15.000000000 +0000
+++ gmrun-0.9.2/debian/control	2010-03-07 15:32:46.000000000 +0000
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Alexandre De Dommelin <adedommelin@tuxz.net>
-Build-Depends: debhelper (>= 7), libgtk2.0-dev, libpopt-dev, libc6-dev (>= 2.10.2-2)
+Build-Depends: debhelper (>= 7), libgtk2.0-dev, libpopt-dev
 Standards-Version: 3.8.4
 Homepage: http://sourceforge.net/projects/gmrun/
 
diff -Nudar gmrun-0.9.2.orig/debian/patches/60-fix_gtkcompletionline.patch gmrun-0.9.2/debian/patches/60-fix_gtkcompletionline.patch
--- gmrun-0.9.2.orig/debian/patches/60-fix_gtkcompletionline.patch	2010-02-03 07:28:09.000000000 +0000
+++ gmrun-0.9.2/debian/patches/60-fix_gtkcompletionline.patch	2010-03-07 14:55:37.000000000 +0000
@@ -1,11 +1,11 @@
 # Description: Fixes FTBFS
-# Author: Brian M. Carlson <sandals@crustytoothpaste.ath.cx>
+# Author: Rafael Cunha de Almeida <rafael@kontesti.me>
 
 Index: gmrun-0.9.2/src/gtkcompletionline.cc
 ===================================================================
---- gmrun-0.9.2.orig/src/gtkcompletionline.cc	2010-02-03 12:35:27.879769704 +0800
-+++ gmrun-0.9.2/src/gtkcompletionline.cc	2010-02-03 12:35:45.837755945 +0800
-@@ -374,10 +374,7 @@
+--- gmrun-0.9.2.orig/src/gtkcompletionline.cc	2010-03-07 14:53:19.000000000 +0000
++++ gmrun-0.9.2/src/gtkcompletionline.cc	2010-03-07 14:53:53.000000000 +0000
+@@ -374,30 +374,6 @@
    return 0;
  }
  
@@ -13,7 +13,44 @@
 -  const struct dirent** a = (const struct dirent**)va;
 -  const struct dirent** b = (const struct dirent**)vb;
 -
-+int my_alphasort(const struct dirent** a, const struct dirent** b) {
-   const char* s1 = (*a)->d_name;
-   const char* s2 = (*b)->d_name;
+-  const char* s1 = (*a)->d_name;
+-  const char* s2 = (*b)->d_name;
+-
+-  int l1 = strlen(s1);
+-  int l2 = strlen(s2);
+-  int result = strcmp(s1, s2);
+-
+-  if (result == 0) return 0;
+-
+-  if (l1 < l2) {
+-    int res2 = strncmp(s1, s2, l1);
+-    if (res2 == 0) return -1;
+-  } else {
+-    int res2 = strncmp(s1, s2, l2);
+-    if (res2 == 0) return 1;
+-  }
+-
+-  return result;
+-}
+-
+ static void
+ generate_execs()
+ {
+@@ -405,7 +381,7 @@
  
+   for (StrSet::iterator i = path.begin(); i != path.end(); i++) {
+     struct dirent **eps;
+-    int n = scandir(i->c_str(), &eps, select_executables_only, my_alphasort);
++    int n = scandir(i->c_str(), &eps, select_executables_only, alphasort);
+     if (n >= 0) {
+       for (int j = 0; j < n; j++) {
+         execs.insert(eps[j]->d_name);
+@@ -505,7 +481,7 @@
+   dirlist.clear();
+   struct dirent **eps;
+   prefix = filename;
+-  n = scandir(dest.c_str(), &eps, select_executables_only, my_alphasort);
++  n = scandir(dest.c_str(), &eps, select_executables_only, alphasort);
+   if (n >= 0) {
+     for (int j = 0; j < n; j++) {
+       {

Added tag(s) patch. Request was from Dario Minnucci <midget@debian.org> to control@bugs.debian.org. (Wed, 26 May 2010 02:45:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Alexandre De Dommelin <adedommelin@tuxz.net>:
Bug#570348; Package gmrun. (Sat, 17 Jul 2010 17:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to Alexandre De Dommelin <adedommelin@tuxz.net>. (Sat, 17 Jul 2010 17:15:03 GMT) Full text and rfc822 format available.

Message #17 received at 570348@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: 570348@bugs.debian.org
Subject: gmrun: diff for NMU version 0.9.2-2.1
Date: Sat, 17 Jul 2010 19:12:40 +0200
[Message part 1 (text/plain, inline)]
tags 570348 + pending
thanks

Dear maintainer,

I've prepared an NMU for gmrun (versioned as 0.9.2-2.1) and
uploaded it to DELAYED/3. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
/"\  ASCII Ribbon : GPG-Key ID: 0xD49AE731
\ /    Campaign   : CaCert Assurer
 X   against HTML : Debian Developer
/ \   in eMails   : http://www.debian.org/

http://www.christoph-egger.org/
[gmrun-0.9.2-2.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Christoph Egger <christoph@debian.org> to control@bugs.debian.org. (Sat, 17 Jul 2010 17:15:04 GMT) Full text and rfc822 format available.

Reply sent to Christoph Egger <christoph@debian.org>:
You have taken responsibility. (Tue, 20 Jul 2010 17:36:05 GMT) Full text and rfc822 format available.

Notification sent to Andreas Barth <aba@not.so.argh.org>:
Bug acknowledged by developer. (Tue, 20 Jul 2010 17:36:05 GMT) Full text and rfc822 format available.

Message #24 received at 570348-close@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: 570348-close@bugs.debian.org
Subject: Bug#570348: fixed in gmrun 0.9.2-2.1
Date: Tue, 20 Jul 2010 17:32:29 +0000
Source: gmrun
Source-Version: 0.9.2-2.1

We believe that the bug you reported is fixed in the latest version of
gmrun, which is due to be installed in the Debian FTP archive:

gmrun_0.9.2-2.1.debian.tar.gz
  to main/g/gmrun/gmrun_0.9.2-2.1.debian.tar.gz
gmrun_0.9.2-2.1.dsc
  to main/g/gmrun/gmrun_0.9.2-2.1.dsc
gmrun_0.9.2-2.1_i386.deb
  to main/g/gmrun/gmrun_0.9.2-2.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 570348@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christoph Egger <christoph@debian.org> (supplier of updated gmrun package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Sat, 17 Jul 2010 19:03:47 +0200
Source: gmrun
Binary: gmrun
Architecture: source i386
Version: 0.9.2-2.1
Distribution: unstable
Urgency: low
Maintainer: Alexandre De Dommelin <adedommelin@tuxz.net>
Changed-By: Christoph Egger <christoph@debian.org>
Description: 
 gmrun      - Featureful CLI-like GTK+ application launcher
Closes: 570348
Changes: 
 gmrun (0.9.2-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Use patch from Rafael Cunha de Almeida to build using glibc's alphasort
     (Closes: #570348)
Checksums-Sha1: 
 e162fb5f0ae8ec89f5c54413718a45da43ab741b 1345 gmrun_0.9.2-2.1.dsc
 574e7fc06e46bcf618563e2a5b1f9e0e692c3ede 10597 gmrun_0.9.2-2.1.debian.tar.gz
 e1f124287c441a63971f75780d202970a87b8f03 48296 gmrun_0.9.2-2.1_i386.deb
Checksums-Sha256: 
 0092ace01282d25a630f313717dc88b7dce75cc1e2c9c8d5308ffae3bb5b50ae 1345 gmrun_0.9.2-2.1.dsc
 70f5a14d63e0d56d83982b5d3b3fe7c88c08901ee9466b8546e37591be0259ae 10597 gmrun_0.9.2-2.1.debian.tar.gz
 1d09cf990a51d39bdb45a6b2acbc18eedaef431d63e560d5a5d530008c01cc1b 48296 gmrun_0.9.2-2.1_i386.deb
Files: 
 ff75c7f95035e55086548b42d9512170 1345 x11 optional gmrun_0.9.2-2.1.dsc
 d1503380d754b656d37805067e5c4d7f 10597 x11 optional gmrun_0.9.2-2.1.debian.tar.gz
 c4d3e4599402b819e86571dd43db1fbf 48296 x11 optional gmrun_0.9.2-2.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQEcBAEBAwAGBQJMQeSkAAoJEOGDbms1cuRhOxMH/0R/8J+KZ7xJewIpddm0hCdn
DzPQO1r8zAYhTeGx4lnIp5t3MkGIg+fGRY4DO9Q7FnliHvulfZD0gJIwbhLfG8UV
HTAhkMBiOScxtHO4b9AhA48QjnMBHZDh4grAjqGivJ7qPBDuxSZQqTqn+y9eI3au
WP7mrotEZAJvUgIgsj84USRwRk8lYZU0HxMK27ZKMXxsuigfFoHBIcpJynYKO6RA
GbHqikzpx756AkroEmCVs7McUD1RuGfUb5IJjeZ+P2ENlVYoyr3D17WGMJwS2RcX
nKjnD/sQr5KsiK4xBhpNAGHlq9Lx7eyntlkvipgMbUpZxfK/ujGtg44/AGDwyTQ=
=Wc7t
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 01 Sep 2010 07:36:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:28:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.